use std::fs;

mod node;
mod parser;
mod runner;

fn main()
{
    let argument_vector : Vec<String> = std::env::args().collect();

    if argument_vector.len() < 2
    {
        println!("[USAGE] test_project file.custom");

        return;
    }

    let file_path : &String = &argument_vector[1];

    let source : String = fs::read_to_string(file_path).unwrap();

    runner::run(&source);
}